import { __require as requireGetIntrinsic } from "../../get-intrinsic/index.js";
import { __require as requireType } from "../../es-errors/type.js";
var ToString;
var hasRequiredToString;
function requireToString() {
  if (hasRequiredToString) return ToString;
  hasRequiredToString = 1;
  var GetIntrinsic = requireGetIntrinsic();
  var $String = GetIntrinsic("%String%");
  var $TypeError = requireType();
  ToString = function ToString2(argument) {
    if (typeof argument === "symbol") {
      throw new $TypeError("Cannot convert a Symbol value to a string");
    }
    return $String(argument);
  };
  return ToString;
}
export {
  requireToString as __require
};
